Page MenuHomePhabricator

Rename the flood group's display name from the confusing "bot users" to "pseudobots"
Closed, ResolvedPublic

Description

"group-flood": "Bot users",
"group-flood-member": "{{GENDER:$1|bot user}}",
"grouppage-flood": "{{ns:project}}:Bot users",

These are terrible IMHO, and confusing with the 'bot' group.

I propose to rename them to 'pseudobot' (https://en.wikipedia.org/wiki/Pseudo-) as we've done in es.json

Event Timeline

Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptAug 9 2017, 9:36 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 392806 had a related patch set (by MarcoAurelio) published:
[mediawiki/extensions/WikimediaMessages@master] Rename 'bot users' to 'pseudobots'

https://gerrit.wikimedia.org/r/392806

MarcoAurelio triaged this task as Low priority.
MarcoAurelio moved this task from radar to ready/patched/deploy on the User-MarcoAurelio board.
Jdforrester-WMF renamed this task from Confusing "bot users" group name to Rename the flood group's display name from the confusing "bot users" to "pseudobots".Feb 16 2018, 6:09 PM
Jdforrester-WMF added a project: User-notice.

Change 392806 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Rename 'bot users' to 'pseudobots'

https://gerrit.wikimedia.org/r/392806

MarcoAurelio closed this task as Resolved.Feb 21 2018, 11:02 AM
MarcoAurelio moved this task from ready/patched/deploy to cabinet on the User-MarcoAurelio board.
MarcoAurelio added a subscriber: Johan.

User-notice people (@Johan) can work with the announcements now. Closing this task.

@Johan No, sorry. Bot flags and 'bot users' are different. It should be more simpler, like "the previously called 'bot users' group (a.k.a. flood flags on some wikis) has been renamed to 'pseudobots' for clarity - wikis can still customize their naming locally" or something along those lines.

TBH I'm not sure if this qualifies for User-notice. It's just a naming change.

Removing User-notice : it's just a subtle change and the MediaWiki messages (Grouppage-flood, etc.) remain unchanged, so local customizations, if they exist, will be kept so no to very little impact here.